###############################################################################
# gitlab localdev overrides file
#
# Usage:
# at the end of your helm upgrade/install command, invoke this file directly:
#
# -f https://repo1.dso.mil/big-bang/product/packages/gitlab/-/blob/main/docs/dev-overrides.yaml \
# --set addons.gitlab.git.branch=YOUR-WORKING-BRANCH-NAME-HERE

domain: dev.bigbang.mil

flux:
  interval: 1m
  rollback:
    cleanupOnFail: false

networkPolicies:
  enabled: true

gatekeeper:
  enabled: false

kyverno:
  enabled: true

kyvernoPolicies:
  enabled: true
  values:
    policies:
      require-non-root-group:
        exclude:
          any:
            - resources:
                namespaces:
                  - gitlab-runner

kiali:
  enabled: false

elasticsearchKibana:
  enabled: false

eckOperator:
  enabled: false

fluentbit:
  enabled: false

twistlock:
  enabled: false
  values:
    console:
      persistence:
        size: 5Gi

sso:
  oidc:
    host: login.dso.mil
    realm: baby-yoda
  client_secret: ""

addons:

  gitlabRunner:
    enabled: true
    values:
      autoRegister:
        enabled: true
      # Allow gitlab runner to run unprotected branches
      runners:
        protected: false

      networkPolicies:
        enabled: true
        controlPlaneCidr: 172.20.0.0/29
        kubeAPIPort: 6443
    # If you are testing the runner, uncomment the following
#    git:
#      tag: null
#      branch: "your-development-branch-name"

  gitlab:
    enabled: true
    git:
      tag: null
      branch: "your-development-branch-name"

    hostnames:
      gitlab: gitlab
      registry: registry
    sso:
      enabled: true
      label: "Platform One SSO"
      client_id: "platform1_a8604cc9-f5e9-4656-802d-d05624370245_bb8-gitlab"
      client_secret: ""

    values:
      gitlab:
        webservice:
          minReplicas: 1
          maxReplicas: 1
          helmTests:
            enabled: false
        gitlab-shell:
          minReplicas: 1
          maxReplicas: 1
        sidekiq:
          minReplicas: 1
          maxReplicas: 1
      registry:
        hpa:
          minReplicas: 1
          maxReplicas: 1
      global:
        appConfig:
          object_store:
            enabled: true
          defaultCanCreateGroup: true